# Introduction

[Cclib.jl](https://github.com/cclib/Cclib.jl) is a Julia wrapper around [Cclib](https://cclib.github.io/index.html) - an open source library written in Python for parsing and interpreting the results of computational chemistry packages.

It allows to perform natively in Julia the following:

- Parse data from the output files generated by computational chemistry programs, such as Gaussian, GAMESS, PSI4 etc.
- Provide a consistent interface to the results of computational chemistry calculations, particularly those results that are useful for algorithms or visualization
- Facilitate the implementation of algorithms that are not specific to a particular computational chemistry package
- Maximize interoperability with other open source computational chemistry and cheminformatic software libraries

# How to install
To install [Cclib.jl](https://github.com/cclib/Cclib.jl), start up and type the following into the REPL.
```julia
Pkg.add("Cclib")
```

